complexType "InterestDirection"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 2 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | singleDirection | bothDirections
</...>

Content Model Elements (2):

  bothDirections (defined in InterestDirection complexType), | singleDirection (defined in InterestDirection complexType)

All Direct / Indirect Based Elements (3):

  segregatedIndependentAmount (in interestRequirement in requestInterest),
  segregatedIndependentAmount (in interestRequirement in requestInterest),
  variationMargin (in interestRequirement in requestInterest)

Known Usage Locations

- As direct type of elements (3):
  segregatedIndependentAmount (in interestRequirement in requestInterest),
  segregatedIndependentAmount (in interestRequirement in requestInterest),
  variationMargin (in interestRequirement in requestInterest)

XML Source (see within schema source)

<xsd:complexType name="InterestDirection"> <xsd:choice> <xsd:element name="singleDirection" type="SingleDirectionInterestRequirement"/> <xsd:element name="bothDirections" type="BothDirectionsInterestRequirement"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
bothDirections

  Type: | BothDirectionsInterestRequirement, complex content

  XML Source (see within schema source)

  <xsd:element name="bothDirections" type="BothDirectionsInterestRequirement"/>

singleDirection

  Type: | SingleDirectionInterestRequirement, complex content

  XML Source (see within schema source)

  <xsd:element name="singleDirection" type="SingleDirectionInterestRequirement"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.